Textpattern Forum

You are not logged in. Register | Login | Help

#1 2011-03-31 17:57:06

sacripant
Plugin Author
From: Dakar – Sénégal – Africa
Registered: 2008-06-01
Posts: 357
Website

Help, Some plug'ins create parse errors

I migrated a site on local to a shared hosting and i’ve a parse error.
No prob on localhost and the demo server.

After several relocations, always the same error.
I decided to install a virgin instance of Textpattern 4.4 on this server (OVH shared hosting).
And no errors

I then replaced the virgin database by the base of site to migrate and parse errors are returned.

I disabled Plug’ins to find a culprit.

and

Soo_page_number 0.3.0
create a

Parse error: syntax error, unexpected T_CLASS in /homez.23/senticad/www/senticad_com/textpattern/lib/txplib_misc.php(540) : eval()'d code on line 3

arc_twitter 2.0beta
create a

Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /homez.23/senticad/www/senticad_com/textpattern/lib/txplib_misc.php(540) : eval()'d code on line 824

Why have this alert on this server and not on others (localhost and the demo server does not generate error) ?
What can I do about it ?

Diagnostics :

Textpattern version: 4.4.0 (r3514)
Last Update: 2011-03-28 10:17:59/2011-03-31 16:38:47
Document root: /homez.23/senticad/www/senticad_com
$path_to_site: /homez.23/senticad/www/senticad_com
Textpattern path: /homez.23/senticad/www/senticad_com/textpattern
Permanent link mode: section_title
Temporary directory path: /homez.23/senticad/www/senticad_com/textpattern/tmp/
Site URL: www.senticad.com
PHP version: 5.3.5
Register globals: 1
GD Image Library: bundled (2.0.34 compatible); supported formats: GIF, JPG, PNG.
Server TZ: Europe/Paris
Server Local Time: 2011-03-31 19:55:34
DST enabled?: 0
Automatically adjust DST setting?: 
Time Zone:  (0)
MySQL: 5.0.90-log
Locale: en_GB.UTF-8
Server: Apache/2.2.X (OVH)
PHP Server API: cgi-fcgi
RFC 2616 headers: 0
Server OS: Linux 2.6.32.7-mutu-grs-ipv4-32
Active plugins: zem_contact_reborn-4.0.3.20, zem_contact_lang-4.0.3.6m, zem_nth-0.1, rah_metas-1.4, soo_if_frontpage-0.1.8, smd_parent-0.1, cnk_versioning-0.1.7m, lam_browse_by-0.1m, adi_prefs-0.2, rss_unlimited_categories-0.7.4p18, rah_sitemap-1.2, rah_external_output-0.5, soo_txp_obj-1.1.0, bot_image_upload-0.6.1m
Admin-side theme: classic 4.4.0

.htaccess file contents: 
------------------------
AddDefaultCharset utf-8
SetEnv PHP_VER 5_TEST
#DirectoryIndex index.php index.html

#Options +FollowSymLinks
#Options -Indexes

<IfModule mod_rewrite.c>
    RewriteEngine On
    #RewriteBase /relative/web/path/

    RewriteCond %{REQUEST_FILENAME} -f [OR]
    RewriteCond %{REQUEST_FILENAME} -d
    RewriteRule ^(.+) - [PT,L]

    RewriteCond %{REQUEST_URI} !=/favicon.ico
    RewriteRule ^(.*) index.php

    RewriteCond %{HTTP:Authorization}  !^$
    RewriteRule .* - [E=REMOTE_USER:%{HTTP:Authorization}]
</IfModule>

#php_value register_globals 0

# BEGIN GZIP
#<ifmodule mod_deflate.c>
#AddOutputFilterByType DEFLATE text/text text/html text/plain text/xml text/css application/x-javascript application/javascript
#</ifmodule>
# END GZIP

------------------------

Offline

#2 2011-03-31 19:00:53

ruud
Developer emeritus
From: a galaxy far far away
Registered: 2006-06-04
Posts: 4,498
Website

Re: Help, Some plug'ins create parse errors

These plugins probably have their own support topic here in the forum. Ask the question there and you’ll likely get a much faster response. Perhaps it’s caused by a difference in PHP version.

Offline

#3 2011-03-31 21:53:15

sacripant
Plugin Author
From: Dakar – Sénégal – Africa
Registered: 2008-06-01
Posts: 357
Website

Re: Help, Some plug'ins create parse errors

sorry
Php version was 4.4.9 …

I had upgraded with SetEnv PHP_VER 5_TEST but without realizing that this had solved the problem.

It’s OK

Offline

Board footer

Powered by FluxBB